////
/// Estilos del editor de Sutty
/// @group Editor
///

.content {
  figure,
  video,
  audio,
  img {
    @extend .d-block;
    @extend .img-fluid;
    @extend .text-center;
    @extend .m-auto;
  }

  /// Alineaciones soportadas.  No soportamos justificado porque es
  /// difícil que quede bien en web.
  $aligns: (left,center,right);

  /// Recorrer las alineaciones.
  /// @name Alineaciones
  @each $align in $aligns {
    /// El editor coloca la alineación en un atributo data-align,
    /// recorriendo cada una de las alineaciones disponibles.
    /// @todo Lograr que SassDoc muestre el código completo.
    div[data-align="#{$align}"] { text-align: $align; }
  }
}
